/*!
  \file
  \brief エンコーダ制御

  \author Satofumi KAMIMURA

  $Id: encoder_handler.c 1209 2009-08-05 13:11:59Z satofumi $
*/

#include "encoder_handler.h"


void encoder_initialize(int id, encoder_t *encoder)
{
  encoder->reset = 0;
  encoder->id = id;

  // !!!

  // !!! 現在の値で初期化する
  // encoder->previous_count = 0;
}


void encoder_reset(encoder_t *encoder)
{
  (void)encoder;

  // !!!

  // !!! 現在の値で初期化する
  // encoder->previous_count = 0;
}


void encoder_update(encoder_t *encoder)
{
  (void)encoder;

  // !!!
}


short encoder_difference(const encoder_t *encoder)
{
  (void)encoder;

  // !!!

  return 0;
}


void encoder_count(int id)
{
  (void)id;

  // !!!
}
